%define module  String-CRC32
%define name	perl-%{module}
%define version 1.4
%define release %mkrel 13

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Perl interface for cyclic redundency check generation
License: 	GPL or Artistic
Group: 		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/String/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel

%description 
This packages provides a perl module to generate checksums from strings
and from files.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
%{perl_vendorarch}/String
%{perl_vendorarch}/auto/String


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4-13.mga3
+ Revision: 372779
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.4-12.mga3
+ Revision: 251140
- rebuild for perl 5.16

* Sun Jun 12 2011 ahmad <ahmad> 1.4-11.mga2
+ Revision: 104404
- Rebuild for perl-5.14.0

* Thu Jan 13 2011 jquelin <jquelin> 1.4-10.mga1
+ Revision: 14668
- imported package perl-String-CRC32

